# kccachedb.h File Reference

cache hash database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcregex.h>`
`#include <kcdb.h>`
`#include <kcplantdb.h>`

## Classes

class | kyotocabinet::CacheDB
| On-memory hash database with LRU deletion. More...
class | kyotocabinet::CacheDB::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::CacheDB::Record
| Record data.
struct | kyotocabinet::CacheDB::TranLog
| Transaction log.
struct | kyotocabinet::CacheDB::Slot
| Slot table.
class | kyotocabinet::CacheDB::Repeater
| Repeating visitor.
class | kyotocabinet::CacheDB::Setter
| Setting visitor.
class | kyotocabinet::CacheDB::Remover
| Removing visitor.
class | kyotocabinet::CacheDB::ScopedVisitor
| Scoped visitor.

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Typedefs

typedef PlantDB< CacheDB, BasicDB::TYPEGRASS > | kyotocabinet::GrassDB
| An alias of the cache tree database.

## Detailed Description

cache hash database